\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{Tutorial Minidem}
\ddauthor{D. André}
\dduniv{Ensil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien



\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  




\newdemexo{09}{Imposing Movements (Part 2)}

\noindent The goal of this tutorial is to show you how to impose movements on the grains.

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{09}{tuto-09\_exercice.py}. Run the script
  \dltutodem{09}{tuto-09\_exercice.py}.
\end{task}

\begin{info}
At this point, you should obtain a simulation similar to the video \dltutodem{09}{tuto-09\_exercice.mp4}.
\end{info}

\begin{task}
  Modify the \texttt{main} block to "fill" the following lists with the appropriate sets of grains:
  \begin{itemize}
  \item \texttt{gray\_grain\_list\_left}
  \item \texttt{gray\_grain\_list\_right}
  \end{itemize}
\end{task}

\begin{task}
  Modify the function \texttt{apply\_boundary\_condition()} to compress the blue grains as shown in the video \dltutodem{09}{tuto-09\_correction.mp4}.
\end{task}

\begin{info}
  At this point, you should obtain a simulation similar to the video \dltutodem{09}{tuto-09\_correction.mp4}.
\end{info}

\end{document}
